KDE 4.3 PyKDE API Reference

- KDE's Python API

# GeoGraphicsItem Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.MarbleGraphicsItem
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Methods

| __init__ (self)
| __init__ (self, GeoGraphicsItemPrivate d_ptr)
Marble.GeoDataCoordinates | coordinate (self)
| coordinate (self, float longitude, float latitude, float altitude)
| paint (self, Marble.GeoPainter painter, Marble.ViewportParams viewport, QString renderPos, GeoSceneLayer layer=0)
[QPoint] | positions (self)
| setCoordinate (self, float longitude, float latitude, float altitude=0)
| setCoordinate (self, Marble.GeoDataCoordinates point)
| setTarget (self, QString target)
QString | target (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | GeoGraphicsItemPrivate | d_ptr
| ) |  |  |

Marble.GeoDataCoordinates coordinate | ( |  | self ) |

Return the coordinate of the item as a GeoDataCoordinates

coordinate | ( | self, |
|  | float | longitude,
|  | float | latitude,
|  | float | altitude
| ) |  |  |

Return the coordinate of the item as longitude and latitude.

paint | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport,
|  | QString | renderPos,
|  | GeoSceneLayer | layer=0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Paints the item in item coordinates

[QPoint] positions | ( |  | self ) |

Returns all coordinates of the item in view coordinates according to the given projection.

setCoordinate | ( | self, |
|  | float | longitude,
|  | float | latitude,
|  | float | altitude=0
| ) |  |  |

Set the coordinate of the item in longitude and latitude.

setCoordinate | ( | self, |
|  | Marble.GeoDataCoordinates | point
| ) |  |  |

Set the coordinate of the item with an GeoDataPoint.

setTarget | ( | self, |
|  | QString | target
| ) |  |  |

Set the target of the item with target.

QString target | ( |  | self ) |

Get the target of the item. The target is the current planet string.s